<script>
import Layout from '../../layouts/main'
import PageHeader from '../../components/page-header'
import { outletService, promoCodeService, menuService, webLayoutService } from '../../services';
import config from "../../config";
/**
 * Get Started component
 */
export default {
  components: { Layout, PageHeader },
  data() {
    return {
      outletPercentage: 0,
      isPromoCode:false,
      isMenuDisplay:false,
      webURL:''
    }
  },
  mounted() {
    this.getRestaurant();
    this.getRestaurantCuisines();
    this.getTax();
    this.getOtheSetting();
    this.getPromocode();
    this.getmenu();
    this.getSetting();
  },
  methods: {
    getRestaurant() {
      outletService.getRestaurant().then((response) => {
        if (response.data.code == 200) {
          if (response.data.result.address != '' && response.data.result.address != null && response.data.result.contact_number != '') {            
            this.outletPercentage = this.outletPercentage + 1;
          }
          if (response.data.result.restaurant_settings.length > 0) {
            let isSetting = 0;
            response.data.result.restaurant_settings.forEach(element => {              
              if ((element.settings_key == 'is_delivery' && element.setting_values == 'true' ) || (element.settings_key == 'is_pickup' && element.setting_values == 'true' ) || (element.settings_key == 'is_dine_in' && element.setting_values == 'true' )) {
                isSetting = 1;
              }
            });
            this.outletPercentage = this.outletPercentage + isSetting;
          }
        }
      });
    },
    getRestaurantCuisines() {
      outletService.getRestaurantCuisines().then((response) => {
        if (response.data.code == 200) {
          if (response.data.result.selectedcuisines.length > 0) {            
            this.outletPercentage = this.outletPercentage + 1;
          }
        }
      })
    },
    getTax() {
      outletService.getTaxSetting().then((response) => {
        if (response.data.code == 200) {
          if (Object.keys(response.data.result.taxSetting).length != 0) {            
            this.outletPercentage = this.outletPercentage + 1;
          }

        }
      })
    },
    getOtheSetting() {
      outletService.getOtherSetting().then((response) => {
        if (response.data.code == 200) {
          if (Object.keys(response.data.result).length > 0) {
            if (response.data.result.minimum_order_value != '') {              
              this.outletPercentage = this.outletPercentage + 1;
            }
          }
        }
      })

    },

    getPromocode() {
      var filters = {
        search: '',
        status: '',
        sortBy: 'id',
        orderBy: 'desc',
        country: '',
        state: '',
        city: '',
        page: '0',
      }
      promoCodeService.getPromoCode(filters).then((response) => {
        if(response.data.code == 200){
          if(response.data.result.promoCodeCount > 0){
            this.isPromoCode = true;
          }
        }
      })
    },

    getmenu() {
      menuService.getMenuMaster({
        client_id: this.$auth && this.$auth.getClientId(),
        menuLimit: '100',
        menuSkip: '0',
        page: 0
      }).then((response) => {
        if(response.data.code == 200){          
          if(response.data.result.total > 0 ){
            this.isMenuDisplay = true;
          }
        }
      })
    },

    getSetting(){      
      webLayoutService.getWebSetting().then((response) => {        
        if(response.data.code == 200){
          this.webURL = response.data.result.website_url+''+config.orderWebDefaultUrl;          
        }
      });
    }
  }
}
</script>

<template>
  <div class="row mt-4">
    <div class="col-12">
      <div class="d-flex align-items-start mb-4 ">
        <div class="mr-3">
          <h4><strong>Step #1</strong></h4> &nbsp; &nbsp;
        </div>        
        <div class="">
          <h4>Setup Your Outlet ({{ (20 * outletPercentage) }}% Done)</h4>
          <div class="mt-3 d-flex align-items-center">
            <div><router-link :class="((20 * outletPercentage) == 100)?'btn-success':'btn-primary'" class="btn btn-primary" :to="{ name: 'outlet' }">{{ trans.get('__JSON__.Create Outlet')}}</router-link></div>
            <div><button type="button" class="btn btn-success watch ml-4">Watch Video</button></div>
          </div>
        </div>
      </div>
      <div class="d-flex align-items-start mb-4">
        <div class="mr-3">
          <h4><strong>Step #2</strong></h4> &nbsp; &nbsp;
        </div>
        <div class="">
          <h4>Setup Menu For You Restaurant</h4>
          <div class="mt-3 d-flex align-items-center">
            <div><router-link :class="isMenuDisplay?'btn-success':'btn-primary'" class="btn" :to="{ name: 'menu' }">{{ trans.get('__JSON__.Create Menu')}}</router-link></div>
            <div><button type="button" :class="isMenuDisplay?'btn-success':'btn-primary'" class="btn watch ml-4">Watch Video</button></div>
          </div>
        </div>
      </div>
      <div class="d-flex align-items-start mb-4">
        <div class="mr-3">
          <h4><strong>Step #3</strong></h4> &nbsp; &nbsp;
        </div>
        <div class="">
          <h4>Create Promo Code</h4>
          <div class="mt-3 d-flex align-items-center">
            <div><router-link :class="isPromoCode?'btn-success':'btn-primary'" class="btn" :to="{ name: 'promocode' }">{{ trans.get('__JSON__.Create Promo Code') }}</router-link></div>
            <div><button type="button" :class="isPromoCode?'btn-success':'btn-primary'" class="btn ml-4">Watch Video</button></div>
          </div>
        </div>
      </div>
      <div class="d-flex align-items-start">
        <div class="mr-3">
          <h4><strong>Step #4</strong></h4> &nbsp; &nbsp;
        </div>
        <div class="">
          <h4>Place First Order From Website</h4>
          <div class="mt-3 d-flex align-items-center">
            <div class="btn-plceord"><a :href="'http://'+webURL" target="_blank" class="btn btn-primary">{{ trans.get('__JSON__.Place Order')}}</a></div>
            <div class="plceord"><button type="button" class="btn btn-primary ml-4">Watch Video</button></div>
          </div>
        </div>
      </div>
  </div>
</div></template>